Update: WoltLab Suite 5.3.5 / 5.2.13 / 3.1.21 / 3.0.27

    • Offizieller Beitrag

    Wir haben soeben Updates für unsere Produkte freigegeben:WoltLab Suite 5.3.5WoltLab Suite 5.2.13WoltLab Suite 3.1.21WoltLab Suite 3.0.27WoltLab Community Framework 2.1.24 pl 3 (*)


    Stabilitäts- und Fehlerbehebungsversionen (auch bekannt als "minor releases"), beseitigen ausschließlich Fehler in der aktuellen Version und führen keine neuen Funktionen ein. Es wird ausdrücklich empfohlen diese Updates anzuwenden.


    (*) Das Update für WoltLab Community Framework 2.1 umfasst lediglich einen Hinweis in der Administrationsoberfläche. Mit diesem sollen Betreiber aktiv darauf aufmerksam gemacht werden, dass die Sicherheitsunterstützung bereits abgelaufen ist und ein Upgrade auf eine aktuellere Version empfohlen wird. Es wurden keine weiteren Änderungen durchgeführt.

    Aktualisierung einer bestehenden Installation

    Öffnen Sie die Administrationsoberfläche und rufen Sie den Menüpunkt Konfiguration > Pakete > Pakete auflisten auf. Klicken Sie dann auf den Button Updates suchen, diesen finden Sie rechts oberhalb der Paketauflistung.

    Bedeutende Änderungen

    Bitte beachten Sie, dass die unten stehende Liste nur die wichtigsten Änderungen enthält. Kleinere Korrekturen (u.a. Tippfehler) werden nicht separat aufgeführt.


    WoltLab Suite Blog

    Bei leeren Blogs wurde ein falscher Status-Code gesendet, wodurch diese von Suchmaschinen als Soft-404 bemängelt wurden. 5.2 5.3

    WoltLab Suite Calendar

    Nach dem Import von Terminen wurde das Formular nicht vollständig zurückgesetzt. 3.1 5.2 5.3Der Filter für Termine mit ausstehenden Einladungen wurde nicht korrekt als aktiv markiert. 5.2 5.3

    WoltLab Suite Gallery

    In der Moderation für Bilder wurde irrtümlich versucht, auf eine nicht existierende Variable zu zugreifen. 3.1 5.2 5.3

    WoltLab Suite Forum

    Ein Kompatibilitätsproblem beim Betrieb unter PHP 8 wurde behoben. 5.2 5.3Beim Verschieben von Beiträgen und Themen wurde die beste Antwort nicht angepasst. 5.2 5.3Die [post]- und [thread]-BBCodes wurden bei einem Upgrade von 5.2 auf 5.3 nicht eingepflegt. 5.3

    WoltLab Suite Core: Conversations

    Die Betreffzeile für E-Mail-Benachrichtigungen bei neuen Antworten auf Konversationen enthielt manchmal HTML-Zeichen. 5.2 5.3Im Template conversationQuickReply wurde das neue Template-Event beforeWysiwyg eingefügt. 5.3

    WoltLab Suite Core

    Der Hinweis zum Ablauf der Sicherheitsunterstützung für die 3.0er Versionsreihe wies irrtümlich den 1. März 2020 statt dem 1. März 2021 aus. 3.0Ein Problem wurde behoben, dass es beliebigen Nutzern erlaubte, die zugewiesene Person eines Eintrages in der Moderation zu verändern. 3.0 3.1 5.2 5.3Die Fehlermeldung beim Versuch, ein Upgrade per manuellem Upload statt über das Update-System zu starten, wurde verbessert. 3.0 3.1 5.2 5.3Im Template articleAdd wurde das neue Template-Event dataFields eingefügt. 5.2 5.3Die Erkennung von Links zu Twitch Clips in Nachrichten funktionierte nicht. 5.2 5.3Bei der Suche nach gekauften Produkten aus dem Plugin-Store werden nun die gespeicherten Zugangsdaten der Paket-Server angeboten. 5.2 5.3Extrem lange Dateinamen bei hochgeladenen Avataren führten zu einem Fehler bei der Prüfung. 5.3Der Export von E-Mail-Adressen erfordert nun die Berechtigung E-Mail-Adressen zu bearbeiten. 5.3Die Vorschaufunktion führte in manchen Konstellationen im Firefox dazu, dass stattdessen das Formular abgesendet wurde. 5.3Der Klick auf Benachrichtigungen auf mobilen Browsern führte manchmal dazu, dass das Overlay nicht geschlossen wurde. 5.3Ein Problem bei der Verarbeitung von eingebetteten Inhalten innerhalb von Nachrichten wurde behoben. 5.3Die Skalierung von GIF-Animationen im Browser wurde deaktiviert. 5.3




    Zur Original Nachricht: Update: WoltLab Suite 5.3.5 / 5.2.13 / 3.1.21 / 3.0.27 - Neuigkeiten und Hinweise - WoltLab®